{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/account_user/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/account_user/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('external_user_account_user_edit', {'accountUserId': accountUser.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Externe Nutzer:in löschen</span>
        {{ form_widget(accountUserDeleteForm.delete, {'label': 'LÖSCHEN', 'id': accountUserDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der/die externe Nutzer:in und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Löschung durchzuführen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">benutzer_{{ accountUser.getId() }}</span>
            </p>
            {{ form_start(accountUserDeleteForm, {'attr': {'id': accountUserDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'external_user/form/account_user/account_user_delete_form.html.twig' with {'form': accountUserDeleteForm} only %}
            {{ form_row(accountUserDeleteForm._token) }}
            {{ form_end(accountUserDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                {{ form_start(accountUserForm, {'attr': {'id': accountUserForm.vars.id ~ '_form'}}) }}
                {% include 'external_user/form/account_user/account_user_form.html.twig' with {'form': accountUserForm} only %}
                {{ form_end(accountUserForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
